## com.bbn.openmap.gui
Class MiniBrowser.MiniBrowserPage

    java.lang.Object
      com.bbn.openmap.gui.MiniBrowser.MiniBrowserPage

Enclosing class:
  MiniBrowser

public class MiniBrowser.MiniBrowserPage
extends java.lang.Object

Constructor Summary
`MiniBrowser.MiniBrowserPage(java.lang.String mt, java.lang.String stuff)`
`MiniBrowser.MiniBrowserPage(java.net.URL page)`

Method Summary
`boolean` `isURL()`
`void` `launchInBrowser()`
`void` `loadInto(javax.swing.JEditorPane jep)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MiniBrowser.MiniBrowserPage

    public MiniBrowser.MiniBrowserPage(java.lang.String mt,
                                       java.lang.String stuff)

### MiniBrowser.MiniBrowserPage

    public MiniBrowser.MiniBrowserPage(java.net.URL page)

Method Detail

### loadInto

    public void loadInto(javax.swing.JEditorPane jep)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### launchInBrowser

    public void launchInBrowser()

### isURL

    public boolean isURL()

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details